- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/Coin_C_defines.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | COIN_DBL_MAX DBL_MAX
| This has defines etc for the "C" interface to Coin.
#define | COINLIBAPI
#define | COINLINKAGE
#define | COINLINKAGE_CB
## Typedefs
typedef void | Clp_Simplex
| User does not need to see structure of model but C++ code does.
typedef int | msgno
typedef int int | ndouble
typedef int int const double * | dvec
typedef int int const double int | nint
typedef int int const double int const int * | ivec
typedef int int const double int const int int | nchar
typedef int int const double int const int int char ** | cvec
typedef void | Sbb_Model
| User does not need to see structure of model but C++ code does.
typedef void | Cbc_Model
typedef int | msgno
typedef int int | ndouble
typedef int int const double * | dvec
typedef int int const double int | nint
typedef int int const double int const int * | ivec
typedef int int const double int const int int | nchar
typedef int int const double int const int int char ** | cvec
typedef int | msgno
typedef int int | ndouble
typedef int int const double * | dvec
typedef int int const double int | nint
typedef int int const double int const int * | ivec
typedef int int const double int const int int | nchar
typedef int int const double int const int int char ** | cvec
typedef int | CoinBigIndex
## Functions
typedef | void (COINLINKAGE_CB *clp_callback)(Clp_Simplex *model
| typedef for user call back.

## Define Documentation

#define COIN_DBL_MAX DBL_MAX

This has defines etc for the "C" interface to Coin.

If COIN_EXTERN_C defined then an extra extern C

Definition at line 12 of file Coin_C_defines.h.

#define COINLIBAPI

Definition at line 42 of file Coin_C_defines.h.

#define COINLINKAGE

Definition at line 44 of file Coin_C_defines.h.

#define COINLINKAGE_CB

Definition at line 45 of file Coin_C_defines.h.

## Typedef Documentation

typedef void Clp_Simplex

User does not need to see structure of model but C++ code does.

Definition at line 58 of file Coin_C_defines.h.

typedef int msgno

Definition at line 64 of file Coin_C_defines.h.

typedef int int ndouble

Definition at line 64 of file Coin_C_defines.h.

typedef int int const double* dvec

Definition at line 64 of file Coin_C_defines.h.

typedef int int const double int nint

Definition at line 64 of file Coin_C_defines.h.

typedef int int const double int const int* ivec

Definition at line 64 of file Coin_C_defines.h.

typedef int int const double int const int int nchar

Definition at line 64 of file Coin_C_defines.h.

typedef int int const double int const int int char** cvec

Definition at line 64 of file Coin_C_defines.h.

typedef void Sbb_Model

User does not need to see structure of model but C++ code does.

Definition at line 79 of file Coin_C_defines.h.

typedef void Cbc_Model

Definition at line 91 of file Coin_C_defines.h.

typedef int msgno

Definition at line 96 of file Coin_C_defines.h.

typedef int int ndouble

Definition at line 96 of file Coin_C_defines.h.

typedef int int const double* dvec

Definition at line 96 of file Coin_C_defines.h.

typedef int int const double int nint

Definition at line 96 of file Coin_C_defines.h.

typedef int int const double int const int* ivec

Definition at line 96 of file Coin_C_defines.h.

typedef int int const double int const int int nchar

Definition at line 96 of file Coin_C_defines.h.

typedef int int const double int const int int char** cvec

Definition at line 96 of file Coin_C_defines.h.

typedef int msgno

Definition at line 99 of file Coin_C_defines.h.

typedef int int ndouble

Definition at line 99 of file Coin_C_defines.h.

typedef int int const double* dvec

Definition at line 99 of file Coin_C_defines.h.

typedef int int const double int nint

Definition at line 99 of file Coin_C_defines.h.

typedef int int const double int const int* ivec

Definition at line 99 of file Coin_C_defines.h.

typedef int int const double int const int int nchar

Definition at line 99 of file Coin_C_defines.h.

typedef int int const double int const int int char** cvec

Definition at line 99 of file Coin_C_defines.h.

typedef int CoinBigIndex

Definition at line 104 of file Coin_C_defines.h.

## Function Documentation

typedef void | ( | COINLINKAGE_CB * | sbb_callback | ) |

typedef for user call back.

The cvec are constructed so don't need to be const

Referenced by Coin::SmartPtr< T >::SmartPtr().